Bug 1474745 - [RFE] Reserved port range for Gluster
Summary: [RFE] Reserved port range for Gluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On:
Blocks: 1458646 RHGS-3.4-GSS-proposed-tracker 1503132 1503135 1531937
TreeView+ depends on / blocked
 
Reported: 2017-07-25 10:22 UTC by Raghavendra Talur
Modified: 2018-09-17 13:19 UTC (History)
14 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: Enhancement
Doc Text:
Red Hat Gluster Storage 3.4 allows you to define the max port value in glusterd.vol to control the range of port that gluster bricks can consume.
Clone Of: 1458646
: 1531937 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:34:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:36:23 UTC

Comment 4 Atin Mukherjee 2017-08-10 13:20:17 UTC
upstream patch : https://review.gluster.org/#/c/18016

Comment 9 Bala Konda Reddy M 2018-03-13 09:57:55 UTC
Build: 3.12.2-5

Set the max port number as 49200 in the /etc/glusterfs/glusterd.vol, restarted glusterd to get the changes reflected from the glusterd.vol file.

glusterd should not be able to allocate the port beyond the max port range

when the port number exceeds the limit set in the vol file, the volume start will fail as below

[root@dhcp37-54 ~]# gluster vol start testvol_z
volume start: testvol_z: failed: Commit failed on localhost. Please check log file for details 

Glusterd log saying all the ports are exhausted
[2018-03-13 09:07:42.855879] E [MSGID: 106612] [glusterd-utils.c:2016:glusterd_volume_start_glusterfs] 0-management: All the ports in the range are exhausted, can't start brick /bricks/brick0/testvol_100z for volume testvol_z

comment out the max-port in glusterd.vol file and restart glusterd. Now the default max port is set to 65535. Now volume start succeeds

[root@dhcp37-54 ~]# gluster vol start testvol_z
volume start: testvol_z: success

Hence marking it as verified

Comment 10 Srijita Mukherjee 2018-09-03 13:45:34 UTC
Updated the doc text. Kindly review and confirm

Comment 12 errata-xmlrpc 2018-09-04 06:34:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.